#!/bin/bash

#modified Jian Yang (July/12)

getwd()
setwd("/Users/jyang/Documents/UQDI/SISG/2012/Computer_pracs/prac4_gcta")  ## change working directory (wd) to the directory of your PLINK results
dir()


## graphical representation of the genetic relatedness within and between individuals
## means and sd for genetic relatedness
## percentage of related individuals

## within and between individuals....

#####################################################################
#####################################################################
#####################################################################

## histograms & summary statistics for GRM with cut-off .025

GRM<-read.table(file="MultiGRM_commonSNPsX.grm", colClasses=rep("numeric",4))
head(GRM)
dim(GRM)
names(GRM) <-c("ind_a", "ind_b", "NrSNPs", "GenRel")
head(GRM)

WithinSubjects <- subset(GRM, ind_a == ind_b)
BetweenSubjects <- subset(GRM, ind_a != ind_b)
head(WithinSubjects)
head(BetweenSubjects)


## histogramm within subjects

range(WithinSubjects$GenRel)	
mean(WithinSubjects$GenRel)	
sd(WithinSubjects$GenRel)	

hist(WithinSubjects$GenRel, breaks=100, freq=FALSE, xlim=c(.95,1.15), ylim=c(0,100),col="red",border="red",
xlab="Diagonal elements of genetic relationship matrix", main="",
cex.lab=0.8, cex.axis=0.8)


## histogramm between subjects
range(BetweenSubjects$GenRel)	
mean(BetweenSubjects$GenRel)	
sd(BetweenSubjects$GenRel)

hist(BetweenSubjects$GenRel, breaks=500, freq=FALSE, xlim=c(-.04,1.1), ylim=c(0,100),col="red",border="red",
xlab="Off-Diagonal elements of genetic relationship matrix", main="",
cex.lab=0.8, cex.axis=0.8)



## how many individuals with genetic relatedness >0.4
BetweenSubjects$related04[BetweenSubjects$GenRel <= 0.4] <- 0
BetweenSubjects$related04[BetweenSubjects$GenRel > 0.4] <- 1

FreqRel <- table(BetweenSubjects$related04) 
	FreqRel # print table
	prop.table(FreqRel) # cell percentages

## how many individuals with genetic relatedness >0.7
BetweenSubjects$related07[BetweenSubjects$GenRel <= 0.7] <- 0
BetweenSubjects$related07[BetweenSubjects$GenRel > 0.7] <- 1

FreqRel <- table(BetweenSubjects$related07) 
	FreqRel # print table
	prop.table(FreqRel) # cell percentages


## how many individuals with genetic relatedness >0.025
BetweenSubjects$related0025[BetweenSubjects$GenRel <= 0.025] <- 0
BetweenSubjects$related0025[BetweenSubjects$GenRel > 0.025] <- 1
FreqRel <- table(BetweenSubjects$related0025) 
	FreqRel # print table
	prop.table(FreqRel) # cell percentages


## select individuals with genetic relatednes < .025 and make graph


Unrelated<-BetweenSubjects[which(BetweenSubjects$GenRel<0.025),]
head(Unrelated)
range(Unrelated$GenRel)	
mean(Unrelated$GenRel)	
sd(Unrelated$GenRel)

hist(Unrelated$GenRel, breaks=2500, freq=FALSE, xlim=c(-.04,.04), ylim=c(0,100),col="red",border="red",
xlab="Off-Diagonal elements of genetic relationship matrix", main="",
cex.lab=0.8, cex.axis=0.8)






## select individuals with genetic relatednes > .1 and make graph

Related<-BetweenSubjects[which(BetweenSubjects$GenRel>0.1),]
head(Related)
range(Related$GenRel)	
mean(Related$GenRel)	
sd(Related$GenRel)

hist(Related$GenRel, breaks=2500, freq=FALSE, xlim=c(-.04,1.1), ylim=c(0,100),col="red",border="red",
xlab="Off-Diagonal elements of genetic relationship matrix", main="",
cex.lab=0.8, cex.axis=0.8)



attach(Unrelated)
head(Unrelated)
tmp <- Unrelated[order(-GenRel),] 
head(tmp,200)
